Skip to main content
PUT
/
v1
/
webhooks
/
{id}
cURL
curl --request PUT \
  --url https://api.transmit.dev/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "nickname": "<string>",
  "subscribed_events": [
    "<string>"
  ],
  "status": "active"
}
'
{
  "id": "<string>",
  "url": "<string>",
  "subscribed_events": [
    "<string>"
  ],
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "nickname": "<string>",
  "secret": "<string>",
  "last_delivery_at": "2023-11-07T05:31:56Z",
  "failure_count": 123,
  "success_count": 123,
  "total_delivery_count": 123
}

Authorizations

Authorization
string
header
required

Enter your API key with 'tx_' prefix. Get your API key from the dashboard.

Path Parameters

id
string
required

Body

application/json
url
string<uri>
nickname
string
subscribed_events
string[]
Minimum array length: 1
status
enum<string>
Available options:
active,
inactive

Response

Webhook updated successfully

id
string
required

Webhook ID

url
string<uri>
required

Webhook URL

subscribed_events
string[]
required

Subscribed event types

status
enum<string>
required

Webhook status

Available options:
active,
inactive
created_at
string<date-time>
required

Creation timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updated_at
string<date-time>
required

Last update timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
nickname
string

Webhook nickname

secret
string

Webhook secret (only returned on creation)

last_delivery_at
string<date-time> | null

Last delivery timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
failure_count
number

Failed delivery count

success_count
number

Successful delivery count

total_delivery_count
number

Total delivery attempts